package com.wizarpos.mobileemv.storage;

import android.content.Context;
import android.content.SharedPreferences;

import com.orhanobut.hawk.Storage;

final public class HawkCustomStorage implements Storage {

    private final SharedPreferences preferences;

    public HawkCustomStorage(Context context, String tag) {
        preferences = context.getSharedPreferences(tag, Context.MODE_PRIVATE);
    }

    @Override
    public <T> boolean put(String key, T value) {
        if(value == null){
            return false;
        }
        return getEditor().putString(key, String.valueOf(value)).commit();
    }

    @SuppressWarnings("unchecked")
    @Override
    public <T> T get(String key) {
        return (T) preferences.getString(key, null);
    }

    @Override
    public boolean delete(String key) {
        boolean ret = getEditor().remove(key).commit();
        return ret;
    }

    @Override
    public boolean contains(String key) {
        return preferences.contains(key);
    }

    @Override
    public boolean deleteAll() {
        boolean ret = getEditor().clear().commit();
        return ret;
    }

    @Override
    public long count() {
        return preferences.getAll().size();
    }

    private SharedPreferences.Editor getEditor() {
        return preferences.edit();
    }
}
