package com.wizarpos.mobileemv.ui

import android.graphics.Bitmap
import com.qmuiteam.qmui.widget.section.QMUISection
import com.wizarpos.mobileemv.ui.presenter.QueryTransSectionHeader
import com.wizarpos.mobileemv.ui.presenter.QueryTransSectionItem
import java.util.*

interface IUiUpdate {
    fun getAmount() : String
    fun addContentLog(log: String)
    fun clearContentLog()
    fun showMessageDialog(title: String, msg: String, callback: IDialogCallback)
    fun showMenuDialog(title: String, menuList: Array<String>, callback: IDialogCallback)
    fun showTipDialog(msg: String, iconType: Int, duration: Int)
    fun hideTipDialog()
    fun showImageDialog(title : String, bitmap: Bitmap)
    fun showProgressBarDialog(title: String = "", curProgress: Int = 0, progressTotal: Int = 100, updateProgress: Boolean = false, hide: Boolean = false)
    fun setUpPan(pan: String?, resourceId: Int, cardExpiryDate: String?)
    fun setUpCardRecord(sectionList: ArrayList<QMUISection<QueryTransSectionHeader, QueryTransSectionItem>>)
    fun showPopup(str: String)
    fun setUpBtnStart(isStart: Boolean)
    fun initUI()
    fun showToast(msg: String)
}
