package com.wizarpos.mobileemv.ui.presenter

import android.view.LayoutInflater
import android.view.ViewGroup
import com.qmuiteam.qmui.widget.section.QMUIDefaultStickySectionAdapter
import com.qmuiteam.qmui.widget.section.QMUISection
import com.wizarpos.mobileemv.R
import kotlinx.android.synthetic.main.query_trans_header_layout.view.*
import kotlinx.android.synthetic.main.query_trans_item_layout.view.*

class QueryTransAdapter : QMUIDefaultStickySectionAdapter<QueryTransSectionHeader, QueryTransSectionItem>() {

    private val TAG = "QueryTransAdapter"

    var imageClickListener : ImageClickListener? = null

    override fun onCreateSectionItemViewHolder(viewGroup: ViewGroup): ViewHolder {
        val transItemView = LayoutInflater.from(viewGroup.context).inflate(R.layout.query_trans_item_layout, null, false)
        return ViewHolder(transItemView)
    }

    override fun onCreateSectionHeaderViewHolder(viewGroup: ViewGroup): ViewHolder {
        val transHeaderView = LayoutInflater.from(viewGroup.context).inflate(R.layout.query_trans_header_layout, null, false)
        return ViewHolder(transHeaderView)
    }

    override fun onBindSectionItem(
        holder: ViewHolder?,
        position: Int,
        section: QMUISection<QueryTransSectionHeader, QueryTransSectionItem>?,
        itemIndex: Int
    ) {
        val transItemView = holder!!.itemView
        val transItem = section!!.getItemAt(itemIndex)
        transItemView.query_trans_item_tag.text = transItem.tag
        transItemView.query_trans_item_value.text = transItem.value

    }

    override fun onBindSectionHeader(
        holder: ViewHolder?,
        position: Int,
        section: QMUISection<QueryTransSectionHeader, QueryTransSectionItem>?
    ) {
        val headView = holder!!.itemView
        val transHeader = section!!.header
        headView.query_trans_header_date.text = transHeader.transDate
        headView.query_trans_header_arrow.rotation = if(section.isFold) 0f else 90f
    }

    interface ImageClickListener{
        fun onClick(item : QueryTransSectionItem)
    }
}